Tp::ChannelClassSpec Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | List of all members
Tp::ChannelClassSpec Class Reference
Wrapper classes

The ChannelClassSpec class represents a Telepathy channel class. More...

`#include <TelepathyQt/ChannelClassSpec>`

## Public Member Functions
| ChannelClassSpec ()
| ChannelClassSpec (const ChannelClass &cc)
| ChannelClassSpec (const QVariantMap &props)
| ChannelClassSpec (const QString &channelType, HandleType targetHandleType, const QVariantMap &otherProperties=QVariantMap())
| ChannelClassSpec (const QString &channelType, HandleType targetHandleType, bool requested, const QVariantMap &otherProperties=QVariantMap())
| ChannelClassSpec (const ChannelClassSpec &other, const QVariantMap &additionalProperties=QVariantMap())
| ~ChannelClassSpec ()
bool | isValid () const
ChannelClassSpec & | operator= (const ChannelClassSpec &other)
bool | operator== (const ChannelClassSpec &other) const
bool | isSubsetOf (const ChannelClassSpec &other) const
bool | matches (const QVariantMap &immutableProperties) const
QString | channelType () const
void | setChannelType (const QString &type)
HandleType | targetHandleType () const
void | setTargetHandleType (HandleType type)
bool | hasRequested () const
bool | isRequested () const
void | setRequested (bool requested)
void | unsetRequested ()
bool | hasCallInitialAudioFlag () const
void | setCallInitialAudioFlag ()
void | unsetCallInitialAudioFlag ()
bool | hasCallInitialVideoFlag () const
void | setCallInitialVideoFlag ()
void | unsetCallInitialVideoFlag ()
bool | hasStreamedMediaInitialAudioFlag () const
void | setStreamedMediaInitialAudioFlag ()
void | unsetStreamedMediaInitialAudioFlag ()
bool | hasStreamedMediaInitialVideoFlag () const
void | setStreamedMediaInitialVideoFlag ()
void | unsetStreamedMediaInitialVideoFlag ()
bool | hasProperty (const QString &qualifiedName) const
QVariant | property (const QString &qualifiedName) const
void | setProperty (const QString &qualifiedName, const QVariant &value)
void | unsetProperty (const QString &qualifiedName)
QVariantMap | allProperties () const
ChannelClass | bareClass () const

## Static Public Member Functions
static ChannelClassSpec | textChat (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | textChatroom (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | unnamedTextChat (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | mediaCall (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | audioCall (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | videoCall (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | videoCallWithAudio (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | streamedMediaCall (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | streamedMediaAudioCall (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | streamedMediaVideoCall (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | streamedMediaVideoCallWithAudio (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | unnamedStreamedMediaCall (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | unnamedStreamedMediaAudioCall (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | unnamedStreamedMediaVideoCall (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | unnamedStreamedMediaVideoCallWithAudio (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | serverAuthentication (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | roomList (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | outgoingFileTransfer (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | incomingFileTransfer (const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | outgoingStreamTube (const QString &service=QString(), const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | incomingStreamTube (const QString &service=QString(), const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | outgoingRoomStreamTube (const QString &service=QString(), const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | incomingRoomStreamTube (const QString &service=QString(), const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | outgoingDBusTube (const QString &serviceName=QString(), const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | incomingDBusTube (const QString &serviceName=QString(), const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | outgoingRoomDBusTube (const QString &serviceName=QString(), const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | incomingRoomDBusTube (const QString &serviceName=QString(), const QVariantMap &additionalProperties=QVariantMap())
static ChannelClassSpec | contactSearch (const QVariantMap &additionalProperties=QVariantMap())

## Detailed Description

The ChannelClassSpec class represents a Telepathy channel class.

## Constructor & Destructor Documentation

Tp::ChannelClassSpec::ChannelClassSpec | ( |  | ) |

Tp::ChannelClassSpec::ChannelClassSpec | ( | const ChannelClass & | cc | ) |

Tp::ChannelClassSpec::ChannelClassSpec | ( | const QVariantMap & | props | ) |

Tp::ChannelClassSpec::ChannelClassSpec | ( | const QString & | channelType,
|  | HandleType | targetHandleType,
|  | const QVariantMap & | otherProperties = `QVariantMap()`
| ) |  |

Tp::ChannelClassSpec::ChannelClassSpec | ( | const QString & | channelType,
|  | HandleType | targetHandleType,
|  | bool | requested,
|  | const QVariantMap & | otherProperties = `QVariantMap()`
| ) |  |

Tp::ChannelClassSpec::ChannelClassSpec | ( | const ChannelClassSpec & | other,
|  | const QVariantMap & | additionalProperties = `QVariantMap()`
| ) |  |

Tp::ChannelClassSpec::~ChannelClassSpec | ( |  | ) |

## Member Function Documentation

bool Tp::ChannelClassSpec::isValid | ( |  | ) | const

ChannelClassSpec & Tp::ChannelClassSpec::operator= | ( | const ChannelClassSpec & | other | ) |

bool Tp::ChannelClassSpec::operator== | ( | const ChannelClassSpec & | other | ) | const
| inline

bool Tp::ChannelClassSpec::isSubsetOf | ( | const ChannelClassSpec & | other | ) | const

bool Tp::ChannelClassSpec::matches | ( | const QVariantMap & | immutableProperties | ) | const

QString Tp::ChannelClassSpec::channelType | ( |  | ) | const
| inline

void Tp::ChannelClassSpec::setChannelType | ( | const QString & | type | ) |
| inline

HandleType Tp::ChannelClassSpec::targetHandleType | ( |  | ) | const
| inline

void Tp::ChannelClassSpec::setTargetHandleType | ( | HandleType | type | ) |
| inline

bool Tp::ChannelClassSpec::hasRequested | ( |  | ) | const
| inline

bool Tp::ChannelClassSpec::isRequested | ( |  | ) | const
| inline

void Tp::ChannelClassSpec::setRequested | ( | bool | requested | ) |
| inline

void Tp::ChannelClassSpec::unsetRequested | ( |  | ) |
| inline

bool Tp::ChannelClassSpec::hasCallInitialAudioFlag | ( |  | ) | const
| inline

void Tp::ChannelClassSpec::setCallInitialAudioFlag | ( |  | ) |
| inline

void Tp::ChannelClassSpec::unsetCallInitialAudioFlag | ( |  | ) |
| inline

bool Tp::ChannelClassSpec::hasCallInitialVideoFlag | ( |  | ) | const
| inline

void Tp::ChannelClassSpec::setCallInitialVideoFlag | ( |  | ) |
| inline

void Tp::ChannelClassSpec::unsetCallInitialVideoFlag | ( |  | ) |
| inline

bool Tp::ChannelClassSpec::hasStreamedMediaInitialAudioFlag | ( |  | ) | const
| inline

void Tp::ChannelClassSpec::setStreamedMediaInitialAudioFlag | ( |  | ) |
| inline

void Tp::ChannelClassSpec::unsetStreamedMediaInitialAudioFlag | ( |  | ) |
| inline

bool Tp::ChannelClassSpec::hasStreamedMediaInitialVideoFlag | ( |  | ) | const
| inline

void Tp::ChannelClassSpec::setStreamedMediaInitialVideoFlag | ( |  | ) |
| inline

void Tp::ChannelClassSpec::unsetStreamedMediaInitialVideoFlag | ( |  | ) |
| inline

bool Tp::ChannelClassSpec::hasProperty | ( | const QString & | qualifiedName | ) | const

QVariant Tp::ChannelClassSpec::property | ( | const QString & | qualifiedName | ) | const

void Tp::ChannelClassSpec::setProperty | ( | const QString & | qualifiedName,
|  | const QVariant & | value
| ) |  |

void Tp::ChannelClassSpec::unsetProperty | ( | const QString & | qualifiedName | ) |

QVariantMap Tp::ChannelClassSpec::allProperties | ( |  | ) | const

ChannelClass Tp::ChannelClassSpec::bareClass | ( |  | ) | const

ChannelClassSpec Tp::ChannelClassSpec::textChat | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::textChatroom | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::unnamedTextChat | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::mediaCall | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::audioCall | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::videoCall | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::videoCallWithAudio | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::streamedMediaCall | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::streamedMediaAudioCall | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::streamedMediaVideoCall | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::streamedMediaVideoCallWithAudio | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::unnamedStreamedMediaCall | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::unnamedStreamedMediaAudioCall | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::unnamedStreamedMediaVideoCall | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::unnamedStreamedMediaVideoCallWithAudio | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

Tp::ChannelClassSpec Tp::ChannelClassSpec::serverAuthentication | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::roomList | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::outgoingFileTransfer | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::incomingFileTransfer | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static

ChannelClassSpec Tp::ChannelClassSpec::outgoingStreamTube | ( | const QString & | service = `QString()`,
|  | const QVariantMap & | additionalProperties = `QVariantMap()`
| ) |  |
| static

ChannelClassSpec Tp::ChannelClassSpec::incomingStreamTube | ( | const QString & | service = `QString()`,
|  | const QVariantMap & | additionalProperties = `QVariantMap()`
| ) |  |
| static

ChannelClassSpec Tp::ChannelClassSpec::outgoingRoomStreamTube | ( | const QString & | service = `QString()`,
|  | const QVariantMap & | additionalProperties = `QVariantMap()`
| ) |  |
| static

ChannelClassSpec Tp::ChannelClassSpec::incomingRoomStreamTube | ( | const QString & | service = `QString()`,
|  | const QVariantMap & | additionalProperties = `QVariantMap()`
| ) |  |
| static

ChannelClassSpec Tp::ChannelClassSpec::outgoingDBusTube | ( | const QString & | serviceName = `QString()`,
|  | const QVariantMap & | additionalProperties = `QVariantMap()`
| ) |  |
| static

ChannelClassSpec Tp::ChannelClassSpec::incomingDBusTube | ( | const QString & | serviceName = `QString()`,
|  | const QVariantMap & | additionalProperties = `QVariantMap()`
| ) |  |
| static

ChannelClassSpec Tp::ChannelClassSpec::outgoingRoomDBusTube | ( | const QString & | serviceName = `QString()`,
|  | const QVariantMap & | additionalProperties = `QVariantMap()`
| ) |  |
| static

ChannelClassSpec Tp::ChannelClassSpec::incomingRoomDBusTube | ( | const QString & | serviceName = `QString()`,
|  | const QVariantMap & | additionalProperties = `QVariantMap()`
| ) |  |
| static

ChannelClassSpec Tp::ChannelClassSpec::contactSearch | ( | const QVariantMap & | additionalProperties = `QVariantMap()` | ) |
| static